package com.yonge.cooleshow.biz.dal.enums.activity;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动获奖排名规则
 *
 * @Author: Eric
 * @Data: 2022/3/16 10:19
 */
public enum ActivityRankingRuleEnum implements BaseEnum<String, ActivityRankingRuleEnum> {

    EVALUATIONS_NUMBER("评测次数"),
    EVALUATIONS_TIME("评测时间"),
    TOTAL_SCORE("评测总分"),
    ;
    @EnumValue
    private String code;
    private String name;

    ActivityRankingRuleEnum(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}